OpenCV: INCVMemAllocator Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
INCVMemAllocator Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Legacy support

`#include "NCV.hpp"`

Inheritance diagram for INCVMemAllocator:

## Public Member Functions
virtual | ~INCVMemAllocator ()=0
virtual Ncv32u | alignment (void) const =0
virtual NCVStatus | alloc (NCVMemSegment &seg, size_t size)=0
virtual NCVStatus | dealloc (NCVMemSegment &seg)=0
virtual NcvBool | isCounting (void) const =0
virtual NcvBool | isInitialized (void) const =0
virtual size_t | maxSize (void) const =0
virtual NCVMemoryType | memType (void) const =0

## Detailed Description

INCVMemAllocator (Interface)

## Member Function Documentation

## ◆ alignment()

virtual Ncv32u INCVMemAllocator::alignment | ( | void |  | ) | const
| pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

## ◆ alloc()

virtual NCVStatus INCVMemAllocator::alloc | ( | NCVMemSegment & | seg,
|  | size_t | size
| ) |  |
| pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

## ◆ dealloc()

virtual NCVStatus INCVMemAllocator::dealloc | ( | NCVMemSegment & | seg | ) |
| pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

## ◆ isCounting()

virtual NcvBool INCVMemAllocator::isCounting | ( | void |  | ) | const
| pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

## ◆ isInitialized()

virtual NcvBool INCVMemAllocator::isInitialized | ( | void |  | ) | const
| pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

## ◆ maxSize()

virtual size_t INCVMemAllocator::maxSize | ( | void |  | ) | const
| pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

## ◆ memType()

virtual NCVMemoryType INCVMemAllocator::memType | ( | void |  | ) | const
| pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

The documentation for this class was generated from the following file:

- cudalegacy/include/opencv2/cudalegacy/NCV.hpp